apiVersion: eksctl.io/v1alpha5
kind: ClusterConfig
metadata:
  name: filter-egress-traffic-test
  region: us-east-1  #change the region accordingly
  version: "1.19"
vpc:
  id: 
  subnets:
    public:
      us-east-1a: { id: <subnet-id> }
      us-east-1b: { id: <subnet-id> }
    private:
      us-east-1a: { id: <subnet-id> }
      us-east-1b: { id: <subnet-id> }
managedNodeGroups:
- name: nodegroup
  desiredCapacity: 3
  privateNetworking: true
  ssh:
    allow: true
    publicKeyName: Virginia #change this accordingly
  iam:
    attachPolicyARNs:
    - arn:aws:iam::aws:policy/AmazonSSMManagedInstanceCore
    - arn:aws:iam::aws:policy/AmazonEKSWorkerNodePolicy
    - arn:aws:iam::aws:policy/AmazonEC2ContainerRegistryReadOnly
    - arn:aws:iam::aws:policy/service-role/AmazonEC2RoleforSSM
    - arn:aws:iam::aws:policy/AmazonEKSServicePolicy
    - arn:aws:iam::aws:policy/AmazonEKSClusterPolicy
    - arn:aws:iam::aws:policy/AmazonEKS_CNI_Policy
  preBootstrapCommands:
    - yum install -y https://s3.amazonaws.com/ec2-downloads-windows/SSMAgent/latest/linux_amd64/amazon-ssm-agent.rpm
    - sudo systemctl enable amazon-ssm-agent
    - sudo systemctl start amazon-ssm-agent
